import Taro, { Component } from '@tarojs/taro'
import { View } from '@tarojs/components'
import ConsultantItem from '../../components/ConsultantItem/index'
import './index.scss'


export default class ConsultantList extends Component {
  config = {
    navigationBarTitleText: '选择置业顾问'
  }
 
  render() {
    const list = [
      {name:'哈哈哈1',phone:'138541369741',avatar:'http://img5.imgtn.bdimg.com/it/u=3299138037,391931528&fm=26&gp=0.jpg'},
      {name:'哈哈哈2',phone:'131600514722',avatar:'http://pic1.zhimg.com/50/v2-03d53b468e27ddc99f1ffcd17eec9700_hd.jpg'},
      {name:'哈哈哈3',phone:'131600514722',avatar:'http://img0.imgtn.bdimg.com/it/u=3024308660,1355431406&fm=26&gp=0.jpg'},
    ]
    return (
      <View className="consultantList">
          {
            list.map((item,index) => (
              <ConsultantItem
                data={item}
                key={index+'card'}
                onClick={this.handleItemClick}>
              </ConsultantItem>
            ))
          }    
      </View>
    )
  }

}
