import Taro, { Component } from '@tarojs/taro'
import { View, RichText } from '@tarojs/components'
import Statement from '../../components/Statement'
import ContactConsultant from '../../components/ContactConsultant'

import './index.scss'

export default class Protocol extends Component {
  config = {
    navigationBarTitleText: '线上选房协议',
  }

  state = {
    content: `
      <p>New Year in china is an important festival. Nearly everyone thinks highly of it. No matter where people go and no matter how far they go， they will try their best to go home enjoying family time. And no matter what difficulty or trouble they are experiencing， they will put aside for the period of time. In every house， the main atmosphere is happiness. What do people usually do during the New Year time？ They will prepare a big meal together on New Year’s Eve. In the following days， they will visit their relatives. their relatives also will pay a return visit.</p>
      <p>One of the most important things that they will not forget to do is to worship their ancestors. This is Chinese New Year New Year in china is an important festival. Nearly everyone thinks highly of it.</p>
      <p>No matter where people go and no matter how far they go， they will try their best to go home enjoying family time. And no matter what difficulty or trouble they are experiencing， they will put aside for the period of time. In every house， the main atmosphere is happiness. </p>
      <p>What do people usually do during the New Year time？ They will prepare a big meal together on New Year’s Eve. In the following days， they will visit their relatives. their relatives also will pay a return visit. One of the most important things that they will not forget to do is to worship their ancestors.</p>
    `,
    buildingId: '9f021a59b2a714822894c23ccca8c2db', // must change this
  }

  render() {
    const { content, buildingId } = this.state

    return (
      <View className="protocal-box">
        <View className="content">
          <RichText nodes={content}/>
        </View>
        <View className="contact">
          <ContactConsultant text="如有问题，请联系置业顾问" buildingId={buildingId}/>
        </View>
        <Statement />
      </View>
    )
  }
}
